Skip to main content

Transaction History

GET 

/client/users/:correlation_id/transactions/history/v2

The Transaction History request parameters and request combine to provide a tailored response showing a specified number and/or date range of transactions or a specific transaction. The response includes detailed data about what occurred with each transaction.

Note:

The following types of transactions may or may not be shown in the transaction history response depending on configuration settings. The value of the excludedTransactionTypes object attributes determine whether void transactions and the related original transactions, audit transactions, or transactions which do not change the member's points will be shown in the response. For each of these types of transactions, if the value is set to true, this type of transaction is not shown in the response; if the value is set to false, then this type of transaction is shown in the response.

  • Audit transactions - audit

  • Void transaction - voided

  • Activity transactions with net zero points - netZeroActivityTxns

Query Parameters

You can add a query parameter to provide query information at the end of the request URL and refine your search.

ParameterDescriptionFormatNote
limitMaximum number of transactions to return in a pageNumberDefault is 30. Maximum allowed is 150.
transactionIdTransaction Id to start searching fromStringNormally, use the last transaction id in the previous page returned. If left blank, will search from the start of the first page.
fromFor a date range on which to search for transactions, this is the starting date of the range.NumberDate/time is in milliseconds. If left blank, will start searching from the current moment.
toFor a date range on which to search for transactions, this is the end date of the range.NumberDate/time is in milliseconds. If left blank, will used the configured default maximum which is 1 year if not changed. If the requested date is further back than the configured default maximum, it will be modified to match that maximum.
localeLocale of the member and the transaction.String, values currently supported are: "en-CA", "en-US" and "fr-CA"; "EN" and "FR" can be used as well, but only for the member record (on the account level)Optional. Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, system default ("en-CA") is used.
transactionTypeValid RequestAction which is configured in to be allowed in filters.StringFor example, "ADHOC_REDEEM"; see the RequestAction list below the Response section below to view all possible values, but note that the values available depend on configuration.
externalTransactionIDUnique identifier used by the client for transactions.StringReturns transactions that use that externalTransactionID. Must be non-empty (or returns an error). Value is not validated, so results may be an empty object if no matching transactions are found.

Request

Path Variables

  • CorrelationId
    • Unique identifier for the session. Should match the one used in session start.

Body

This request does not have a body.

Response

An array of transactions. See Transaction Format below for more details on the various types of transactions that can be returned.

AttributeDefinitionFormatNote
transactionsContains all of the historical transaction data.ArrayMay contain one or many transactions
TransactionIDUnique identifier for a transaction.StringTypically equal to the sessionID
AccountIDUnique identifier for related account.StringThe GUID must related back to an existing accountId. Anonymous transactions always have the accountId as "anonymous". This can change if the account this belongs to is merged.
RequestActionIdentifies the type of transaction request.Enum: See the list for RequestAction below this table.If not eligible for base, then not eligible for bonus. For more information about the possible values, see the list Transaction RequestAction Types below this table.
TransactionDateDate/time when the transaction occurred in ISO 8601 format.StringAs occurred at the POS or when the request was made by Console
TransactionDateEpochDate/time when the transaction occurred in Epoch format.NumberDate/time in milliseconds. Time zone is not needed as Epoch times are absolute and convertible to an time zone. Processed date will differ slightly from transaction date, markedly so in the case of SAF. If this date conflicts with the ISO date for any reason, this will be considered the accurate value.
ProcessedDateDate on which the transaction was processed. In ISO 8601 format.String
ProcessEpochDate on which the transaction was processed in Epoch format.NumberDate/time in milliseconds
ExternalTransactionIDUnique identifier provided for this transaction by the client.StringOptional; transactions can be sorted by TransacationDateEpoch descending (most recent are first in the list returned)
MetaDataReturns metadata on the transaction re: account status and the reason for the transaction, SenderDetails or RecipientDetails for POINTS_TRANSFER transactions.ObjectAny extra information about the transaction. Usually this is where we include data about how the transaction was calculated, for example, if the account holder was allowed to earn or not. The next six fields are provided as examples.
VoidMetaDataContains data about a void ID and whether the void transaction and associated original transaction should be shown in the response.ObjectContains voidId and isVoided
voidIdUnique identifier for the void transactionString
isVoidedSpecifies whether the void transaction and original transaction should be included in the response.Boolean: true or falseIf set to false, then the void transaction and associated original transaction are shown in the response; if false, they are not
SessionIdentifierTypeThe type of identifier used to uniquely identify this session.StringA value such as "LOYALTY_ID", ACCOUNT_ID", or "EXTERNAL_ID"
SessionIdentifierValueUnique value used to identify the session.StringFor instance, a loyalty card number or account number
ExternalReferenceIdReference used to identify the session externally to the system.String
LastActivityDateEpochThe Last Activity Date (LAD) listed in Epoch format.NumberDate/time in milliseconds
ExpiryRuleContains data about how points expiry is implemented.ObjectContains count, unit, text, and metric
countNumber of date units to expiry.NumberSuch as 1, 6, 12, or 24 to indicate that number of months
unitThe type of unit used for expiry.StringFor instance, "MONTHS"
textA short explanation of the expiry rule.StringFor example, "3 MONTHS since LastActivityDateEpoch"
metricThe metric upon which the expiry is based.StringFor instance, "LastActivityDateEpoch"
SenderDetails or RecipientDetailsExmple if required for a POINTS_TRANSFER transaction; provides non-PII sender information.ObjectContains firstName, lastName, businessName, email, and postalCode
firstNameFirst name of the sender or receiver.String
lastNameLast name of the sender or receiver.String
businessNameBusiness name of the sender or receiver.String
emailEmail address of the sender or receiver.String
postalCodePostal code of the sender or receiver.String
AccountStatusIdentifies the status of the account.Enum: "ACTIVE", "INACTIVE", "DAMAGED"Optional
EligibleToEarnIdentifies whether the transaction was eligible to earn rewards.Boolean: true or falseOptional
LoyaltyStatusIdentifies the status of the account for the loyalty program.Enum: "ACTIVE", "INACTIVE", "DAMAGED"Optional
POINTS_BANK_SORWhether ES Loyalty is the System of Record (SOR) for the transaction.Boolean: true or falseOptional
affectsBalanceWhether the transaction affects the rewards balance.Boolean: true or falseOptional
ReasonIdentifies the reason for the transaction.StringAn example of a MetaData object attribute
NetAmountThe net amount of points that were applied related to the transaction.Integer Number
NetAmountDollarsThe net amount of dollars that were applied related tot the transaction.Decimal NumberCurrency formatting to two decimal points is enforced even if the number is not supplied in that form
TransactionPartsArray of the types of balance adjustments done to an account resulting from the transaction.ArrayContains action, partDetails (to attribute Agent below) or rewardDetails (attribute after Agent below),
actionDescribes the type of transaction.String: For values, see the list below this tableSee the list of TransactionParts Action Types below this table.
partDetailsContains details about the parts of the transaction.ObjectContains some of the attributes below, as far as the Agent attribute. Note that if the action is "REDEEM", the description of the attributes in the partDetails object begins with Reservation below.
rewardDetailsContains details about the parts of the transaction.Array containing object(s)
offerRewardsContains details about the parts of the transaction.Array containing object(s)
issuerIdName or identifier for the issuer of the reward.String
rewardNameName of the reward.String
rewardIdUnique identifier for the reward for this transaction part.String
amountThe amount for this part of the transaction.Number
accountTypeThe type of this part of the transaction.StringFor instance, "POINTS_TRANSFER"
promotionHeadlineThe promotional headlines used for the offer.String
pointsEarnedThe points earned by fulfilling this offer.Number
rewardsEarnedRewards earned by fulfilling this offer.Number
isTargetedWhether or not it is a targeted offer.Boolean: true or false
offerDescriptionA short description of the offer for internal use.String
offerCodeA unique code that identifies the offer.String
isDiscretionaryWhether or not the offer is a discretionary offer.Boolean: true or false
currencyCurrency type of the reward.StringFor example, "GAMEPLAY"
typeType of the reward.StringFor instance, "FLAT" or "BONUS"
scopeContains details about the scope of the reward.ObjectExample given below (type to metadata) is for game play.
typeType of reward.StringFor instance, "GAMEPLAY"
metadataAdditional data about the reward.ObjectIn this example, contains gameID to gameName below.
gameIDUnique identifier for the game in the system.String
gameProviderThe game vendor.StringFor example, "CATABOOM"
gameTypeThe type of game rewarded.StringFor instance, "SPIN_THE_WHEEL"
gameNameThe game label or name.String
stackingWhether the offer can be stacked with other offers.ObjectThis object contains details about the reward groups within which this offer can be stacked with other offers
rewardGroupsContains the names of any applicable reward groups that may be stacked.Array
amountThe amount of the transaction.Number
accountTypeThe type of accountStringFor example, "CORP - NONPOS"
IsAuditIs this a zero-value audit transactionBoolean: true or falseOnly true in cases where the earn is zero due to a specific reason such as ineligibility in identified sessions
AgentThe Agent ID for the agent that performed the actionStringNot relevant for POS transactions
rewardDetailsDetails of an ad hoc rewardObjectThis is used instead of partDetails for ad hoc rewards; the next four attributes below belong to this object
issuerIdUnique ID for the partner or business unit that issued the ad hoc reward.String
rewardNameThe name of the ad hoc reward.String
rewardIdThe unique identifier of the ad hoc reward.String
amountThe amount of ad hoc reward.NumberThe OriginalPointBalance less this amount results in the NewPointBalance
ReservationObject within the partDetails object that provide information about a reservation for redemption.ObjectContains points balance and details about catalogue items; attributes down to accountType below.
AccountIDUnique account identifier, for example, for a household, if required.StringRequired for HOUSEHOLD_REDEEM
ExpiredAtEpoch date/time stamp for when points reserved for an ad hoc redemption expire.NumberDate/time in milliseconds
PointsBalanceThe points balance after the reservation for redemption.Number
CreatedAtEpoch date/time stamp for when a household was created.NumberDate/time in milliseconds
HouseholdContains data about the household redemption.ObjectHousehold-specific attributes down to initiatorContribution
RedeemerUnique account number of the redeemer for the household.String
TotalRequestedRedemptionAmountTotal amount of the redemption.String
IDUnique identifier for the redemption transaction.String
ContributorsContains the point contributions of each household member to the household redemption.Object
{{account_id}}For a household member, this object contains their contribution to the redemption in points.ObjectContains RedeemAmount
RedeemAmountThe amount of a member's contribution to a redemption.Number
redemptionIdUnique identifier code for the redemption offer.String
AvailablePointsBalanceTotal balance available to the household for redemption.Number
ConsumedWhether the points balance for the household has been consumed.Boolean, true or false
TokenUnique identifier for the redemption transaction.String
redeemerNameName of the redemption.String
redeemerIdName of the redeemer.String
ObjectTypeThe type of object concatenated with the Token.StringRESERVATION
ReservedPointsThe number of points reserved for redemption.String
PointsThe number of points consumed by the redemption.String
LoyaltyIdThe loyalty ID of the redeemer.String
auditContains audit data related to the redemption transaction.Object
versionThe version of the redemption reservation.Number
createdContains data about when the reservation was created.ObjectIncludes the same attributes as "updated" below, "callId" to "username"
updatedContains data about when the reservation was last updated.ObjectIncludes the attributes "callId" to "username"
callIdUnique identifier for the reservation call.String
dateISODate/time of the reservation call in ISO 8601 format.String
dateEpochDate/time of the reservation call in Epoch format.NumberDate/time in milliseconds
idUnique identifier for the reservation event.String
typeThe type of reservation event.StringFor instance, "CLIENT"
usernameThe username attributed to the redeemer.StringThis may be the loyalty ID.
ReservationDurationThe duration in hours of the redemption reservation.Number
SessionIDThe session ID related to the reservation.String
DollarAmountThe dollar amount related to the reservation.Number
associatedTransactionContains transaction data associated with the reservation.Object
initiatorContributionThe contribution in points of the member initiating the redemption.NumberEnd of household-specific attributes.
catalogueItemsContains details about the catalogue items involved in the transaction.Array containing objects for individual catalogue itemsThe attributes in the array end with pointsAmount below. Quantity and points mapping for each item will be used to determine the total amount of points to be reserved, only if reservationAmount has NOT been provided. There are no partial reservations; the member must have the points to reserve ALL of the items in the request, or the reservation request is rejected. Optional, but if this is not provided, then reservationAmount must be provided.
catalogueItemNameThe name of the catalogue item.StringThis is the first item in the catalogue item attributes
productCodeThe unique identifying code for the product.StringPrimary identifier for the product associated with a catalogue item being reserved. Mandatory if provided for any given catalogue item.
quantityThe quantity of product involved.NumberQuantity of the given catalogue item to be reserverd. Default value is 1.
totalPointsAmountThe total points associated with this reservation, the pointsAmount X quantity.Number
redemptionTypeThe type of redemption.Enum: "DISCOUNT" or "TENDER"
catalogueItemIdThe identifier for the catalogue item.String
pointsAmountThe amount of points required for each instance of the product.NumberThe last attribute in the object for a catalogue item
redemptionIdThe identifier for the redemption.StringUsed for reporting purposes to group relevant redemption transactions together. Optional only if reservationAmount is provided; mandatory if catalogueItems is provided.
AvailablePointsBalanceThe total balance of points available for the reservation for redemption.Number
TokenThe token used to affect the redemption.String
redemptionNameThe name of the redemption.String
redeemerIdUnique identifier for the redeeming partner or business unit.StringUsed for looking up the correct catalogue list.
PointsThe total number of points associated with this reservation for redemption.Number
LoyaltyIdUnique loyalty identifier.String
DollarAmountThe dollar amount of the reservation for redemption.Number
accountTypeThe type of account transaction.StringSet to "REDEEM" for reservaton for redemption
OriginalPointBalancePoint balance of the account before points from this transaction were applied.Number
NewPointBalancePoint balance after the points from this transaction were applied.Number
ChannelThe channel through which the transaction came.Enum: "SYSTEM", "CONSOLE", "POS", "STORE", "APP", "ONLINE", "PARTNER", "WEBPOS"This may also be a custom client channel
SessionIDThe session identifier used for this session.String
OriginalTransactionIDUnique identifier of the original transaction (the start of the transaction chain).String: UUIDIf this is the original transaction, this field will be equal to the Partition key (TransactionID)
PreviousTransactionIDUnique identifier of the transaction before the original transaction.String: UUID
TransactionAmountThe overall amount associated with the transaction.Number
EligibleTransactionAmountThe amount associated with the transaction that is eligible for rewards.Number
ChannelDetailsAdditional details about the purchase channel for the transaction.Object
tillNumberUnique code identifying the till in the store.String
storeNumberUnique code identifying the store.String
storeNameThe name of the store.String
priceMatrixA code to identify the price matrix associated with the transaction.Enum: "R" (regular), "E" (employee), or both ("R,E")Price matrix is for employee (E) or regular member (R)
retailBannerThe retail banner (division) under which the transaction took place.StringName of retail banner
employeeCodeUnique code to identify the employee who processed the transaction.String
SessionIDThe unique identifier for the session.String
OriginalTransactionIDThe ID of the first transaction.String
loyaltyIdThe loyalty card ID number used for the transaction(s).NumberloyaltyId is not included if the transaction is Discretionary, Activity, Points Transfer, or Points Expiry as there is no associated card number
MappedRequestActionUsed to return information for transitory transactions.Enum: See list of RequestAction values below this table
CartAdditional details about the cart used for the transaction, formatted as attribute:value pairs within an extended data object.ObjectContains the extendedData object below. If we have includeCart set as true for CUX in configuration, then we will also show whole cart attribute including financial and tender details, coupons used, and line items included.
extendedDataAny additional data about a transaction.ObjectThis may be used by the client to attach additional information that is useful to them. The client determines the attributes and values. The attribute:value pairs are included in this object.
{{item_type}}Item type for details provided.ObjectThe {item type} name used can be "saleLineItems" (for items in a sales transaction), "reversedLineItems" (for items being adjusted), or "currentReverseLineItems" (for items being reversed in the current transaction). Contains attributes from sku to productName below.
skuUnique product identfier, Stock Keeping Unit code.String
quantityNumber of units in this transaction.Number
saleAmountAmount of the sale.String
subCategoryUnique identifier for the subcategory the product is in.String
originalSaleAmountSale amount per unit.String
finalSaleAmountSales amount per unit times quantity.String
itemDiscountAny discounts applied.String
itemTaxAny taxes applied.String
tagsAll tags associated with the product, in an array.Array
productNameName of the product.String
totalContains the total(s) for each of the {item types} involved in this transaction.String (if only one item in transaction) or object (if multiple items in transaction)Possible sub-objects {transaction types} within this object include "final" (for sales transactions), "currentReversed" (for parts reversed from the current transaction), and "reversed" (for amounts reversed).
{transaction type}Type of transaction for which details are provided.StringCan be "final", "currentReversed", or "reversed".
subtotalAmount of the sale or reversal without tax.String
taxAmountThe amount of tax on this part of the transaction.String
totalSaleAmountTotal amount of the sale or reversal including tax.String
currencyType of currency used for the transaction.String"CAD" or "US"
BusinessUnitThe business unit associated with the transaction.StringCan be blank, but if no BU ID is passed in, then any offers belonging to any BU will be considered for evaluation.
RewardOnHoldThe amount of any rewards that are on hold (not available for redemption).Number
NetAmountInDollarsThe net number of dollars that were applied to the transaction.Number
RequestJsonDetails of what was included in the request.Object
ReversalTypeAn identifier of whether a reversal on a transaction was a void on the entire transaction.Enum: "VOID" or "REVERSAL"
VoidMetaDataAdditional details in case there was a void on the transaction.Array
VictimAccountIDUnique account identifier if the account has been noted as having fraudulent transactions.String
ExternalTransactionIDUnique identifier provided by the client for the transaction.String

For information about an integrated payments provider, if enabled, see Payment Provider Integrated below.

Transaction Format

Transaction RequestAction Types

  • ACCOUNT_EXPIRY - Points clawed back due to account-level expiry.

  • ACTIVITY - Points awarded due to activity that meets reward criteria.

  • ADHOC_REDEEM - Points redeemed for a member by a partner or business unit on an ad hoc basis.

  • ADHOC_REWARD - Points awarded by a partner or business unit on an ad hoc basis. This requestAction type is eligible for a void adjustment.

  • ADJUSTMENT - Points clawed back during an adjustment.

  • ADJ_NO_RECEIPT - Points clawed back during an adjustment that did not provide an original transaction.

  • BALANCE_UPDATE - Update on available balances.

  • CONFIRM_DELAYED_TRANSACTION - Confirmation for a transaction for which points are not awarded until another action such as payment takes place.

  • DISCRETIONARY - Points awarded through Discretionary processes such as Goodwill.

  • EXCHANGE - Points awarded through an exchange.

  • FIFO - Points removed from account due to First-In First-Out expiry or auto-redemption.

  • FINALIZE - Points awarded during a finalize transaction from the POS.

  • HISTORICAL_TRANSACTION - Points awarded historically prior to a data migration and brought into ES Loyalty through a client data sync API or through a feed generated using Snowflake data.

  • MERGE - Points transferred during a merge request.

  • POINTS_TRANSFER - Points tranferred from one account to another.

  • POST - Points posted to be awarded.

  • PPE - Points awarded through the post-purchase earn process after a transaction.

  • PROGRAM_REWARD - Reward issued through the program such as a referral reward.

  • PURCHASE - Points rewarded on a purchase transaction.

  • SAF - Points awarded as in a finalize, but not awarded immediately, for instance, due to a connectivity issue.

  • SCHEDULED_REDEEM - Points awarded for an automatically-scheduled redemption, such as a redemption at the end of a year or quarter.

  • TIER_REWARD - Points awarded for a particular member tier.

  • TRANSFER - Points transferred outside of a merge request (account to account with no victim).

  • TRIAL - Used internally, but Trial actions should never generate transactions to the DB.

  • UNKNOWN - Default Transaction Action Type. If used, something has gone wrong and the proper REQUEST_ACTION is not provided.

  • VOID - Points clawed back during a full adjustment. This type of transaction may be shown or not shown in the transaction history depending on configuration.

TransactionParts Action Types

It is allowed for multiple parts to have the same type. This happens when they have different business units associated with them.

  • ADJUSTMENT - Adjustments to the members point balance.

  • BALANCE_UPDATE - Set up balances for incoming members or correct balance errors.

  • BASE - Base points earned.

  • BONUS - Bonus points earned (does not include Targeted Offers).

  • DISCRETIONARY - Discretionary points awarded.

  • EXPIRY - Points clawed back due to an expiry on the account or because the FIFO expiry date for points has been reached.

  • GAMEPLAY - To allow gameplay as an offer fulfillment reward; provides details about game awarded.

  • HOUSEHOLD_REDEEM - Points redeemed by the household to which a member belongs.

  • REDEEM - Points redeemed by member or auto-redeemed because the FIFO auto-redemption date has been reached.

  • TARGETED - Points earned for Targeted Offers.

  • TRANSFER_IN - Points transferred from another account through merger or transfer.

  • TRANSFER_OUT - Points transferred to another account through merger or transfer.

Payment Provider Integrated

If integration with a payment provider (for example, Tipalti) is enabled, then the following attributes are also included in the response. The first part of the PaymentDetails response contains data about the provider, payee, account, currency, etc. The second part (EventDetails) provides data about specific payment events in logged with the integrated payment provider.

Payment Details

AttributeDefinitionFormatNote
PaymentDetailsContains the details of a payment.Array containing object(s)Contains one object for each payment event returned. Each object contains the attributes below: EventDetails, EventDate, EventDateEpoch, EventType, EventName.
ProviderThe name of the payments provider.StringFor instance, "TIPALTI"
EventDateDate/time when the initial event occurred in ISO 8601 format.String
EventDateEpochDate/time when the initial event occurred in Epoch format.NumberDate/time in milliseconds. Time zone is not needed as Epoch times are absolute and convertible to an time zone.
EventNameName provided for the event to make it easy to recognize.String
EventTypeDesignates the type of event.StringPossible values: ESL_REQUEST_SCHEDULED, ESL_REQUEST_SUBMITTED, ESL_REQUEST_ERROR (these are all ES Loyalty internal events); PAYMENT_SUBMITTED, PAYMENT_ERROR, PAYMENT_CANCELED, PAYMENT_COMPLETED, PAYMENT_DEFERRED (these are all payment provider events, in this case, for Tipalti)
EventDetailsContains details of a specific payment event.ObjectAttributes in EventDetails depend on the EventType. Based on the EventType, look below to find the related attributes.
EventType: ESL_REQUEST_SCHEDULED
ScheduledDateDate for when the request is scheduled for submission.StringDate/time in ISO 8601 format
EventType: ESL_REQUEST_SUBMITTED
PaymentCurrencyIdentifier for the type of currency used for payment.StringFor example, "USD"; the currency is configured in the Adhoc Redemption Payment configuration
ReferenceCodePayment reference code received from the payment provider.StringFor instance: "mfp4abbulribpb3"
PaymentAmountAmount of this payment.NumberPayment amount paid by the payment provider
SubmissionDateThe date/time the request was submitted to the payment provider.StringISO 8601 format
ExternalIdentifierA unique identifier for client use, if any.String
BatchIDA unique identifier for a payment batch, if used for this payment.StringProvided by the payment provider
EventType: ESL_REQUEST_ERROR
ErrorDescriptionDescription of the error preventing payment.String
ExternalIdentifierUnique identifier used by the client, if required.String
PayeeIDUnique identifier for the payee.String
PayingEntityIDUnique identifier for the entity making the payment.String
PaymentAmountThe amount of the payment.Number
PaymentCurrencyThe currency used for the payment.StringFor instance, "USD"
EventType: PAYMENT_SUBMITTED
SubmissionDateDate/time at which the payment was submitted for processing.StringISO 8601 format
EventType: PAYMENT_ERROR
ErrorDescriptionDescription of the type of error.String
ErrorDateDate/time at which the payment error occurred.StringISO 8601 format
ErrorCodeCode associated with this type of error.String
EventType: PAYMENT_CANCELED
CancelledDateDate/time at which the payment was cancelled.StringISO 8601 format
EventType: PAYMENT_COMPLETED
CompletionDateDate/time at which the payment was completed.StringISO 8601 format
ProviderValueDateDate/time at which the payment provider completed their payment process.StringISO 8601 format
TransactionReferenceUnique identifier for the transaction.String
EventType: PAYMENT_DEFERRED
DeferredDateDate/time at which payment was deferred.StringISO 8601 format
DeferredReasonsContains reasons and associated codes for deferrment.Array containing object(s)Contains an object with each reasonDescription and reasonCode for deferrment
reasonDescriptionReason for deferrment.StringFor instance, "Payee is suspended"
reasonCodeCode associated with this reason for deferrment.String

Error Responses

See example documentation for possible error states.

statusCodeerrorMessageerrorCodeNotes
400 - Bad RequestLimit required to be a valid positive numberINVALID_REQUESTLimit must be in proper format, that is, a positive number.
400 - Bad RequestMaximum allowed Limit is 150INVALID_REQUESTMaximum allowed number of records returned was exceeded.
400 - Bad RequestTransaction Id required to be non-emptyINVALID_REQUESTThe transaction ID must be provided to retrieve a transaction.
400 - Bad RequestFrom date epoch should be a valid epoch.INVALID_REQUESTMake the From date a valid date in epoch format.
400 - Bad RequestTo date should be a valid epoch.INVALID_REQUESTMake the To date a valid date in epoch format.
400 - Bad RequestFrom date should not be after To date.INVALID_REQUESTMake the From date before the To date.
400 - Bad RequestTransaction {transactionId} must be within {current date decreased by 100 days} to {currentDate} dateINVALID_REQUESTThe transaction date must be within the past 100 days.
400 - Bad RequestMaximum allowed Limit is 150INVALID_REQUESTAs per configuration, the maximum allow limit on transactions returned is 150 per system limits.
400 - Bad RequestLimit required to be a valid positive numberINVALID_REQUESTThe limit on results must be a valid positive integer.
400 - Bad RequestTransaction {transactionId} does not existINVALID_REQUESTThe transactionId provided does not exist in the system.
400 - Bad RequestFiltering by externalTransactionID is not enabled in TRANSACTION_ HISTORY config.INVALID_REQUESTCannot use externalTransactionID as parameter in request because this feature is not enabled.
400 - Bad RequestExternal transaction Id required to be non-empty.INVALID_REQUESTThere must be a value provided for externalTransactionID. Note that this value is not validated.
400 - Bad RequestFiltering by transactionType is not enabled.INVALID_REQUESTCannot use transactionType as parameter in request because this feature is not enabled.
404 - Not FoundTransaction {transactionId} does not existNOT_FOUNDThe transactionId provided as a query parameter in the request does not exist.

In the event that the correlationId does not exist:

{
"statusCode": 400,
"errorMessage": "Session correlation ID does not exist--create it first.",
"errorCode": "BAD_REQUEST"
}

Request

Responses

200 - All Defaults (incl. Item-Level Redemptions)

Response Headers
    Date
    Example: Wed, 01 Sep 2021 18:39:19 GMT
    Content-Length
    Example: 4691
    Connection
    Example: keep-alive
    x-amzn-RequestId
    Example: a9a61f42-cb15-44ec-882d-ad3d0879f63d
    Referrer-Policy
    Example: no-referrer
    X-XSS-Protection
    Example: 1;mode=block
    Access-Control-Allow-Origin
    Example: *
    Expect-CT
    Example: max-age=86400
    Strict-Transport-Security
    Example: max-age=31536000
    Feature-Policy
    Example: vibrate 'none'; geolocation 'none'
    X-Frame-Options
    Example: sameorigin
    Content-Security-Policy
    Example: connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.net
    x-amz-apigw-id
    Example: E_xRZEGPIAMFWUA=
    cache-control
    Example: no-cache, no-store, must-revalidate
    X-Content-Type-Options
    Example: nosniff
    X-Amzn-Trace-Id
    Example: Root=1-612fc8d5-70c5a15b691896a45bbb6ec3;Sampled=0